#!/bin/sh
if ! kdialog --title "Baghira Installer 0.1" --yesno "<qt>This will install Baghira 0.6c on your system<br><br><b>Proceed?</b></qt>"
then
exit 0
fi
PREFIX=$(kde-config --prefix)
if ! kdialog --title "Baghira Installer 0.1" --yesno "<qt>Baghira will be installed in <b>$PREFIX</b><br><br><b>Ok?</b></qt>"
then
PREFIX=$(kdialog --title "Baghira Installer 0.1" --getexistingdirectory $PREFIX)
fi
if [ "$PREFIX" = "" ]
then
exit 0
fi
if kdialog --title "Baghira Installer 0.1" --yesno "<qt>Compile with <b>Debug</b> support?</qt>"
then
DEBUG=""
else
DEBUG="--disable-debug"
fi
if kdialog --title "Baghira Installer 0.1" --yesno "<qt><b>Optimize</b> build?<br>(Will need slightly more memory and time)</qt>"
then
FINAL="--enable-final"
else
FINAL=""
fi
DREF=$(kdialog --title "Baghira Installer 0.1" --progressbar "<qt><b>Running configure</b><br></qt>" 4)
dcop $DREF setProgress 1
if [ $(./configure --prefix=$PREFIX $DEBUG $FINAL) != 0 ]
then
dcop $DREF close
kdialog --title "Baghira Installer 0.1" --error "Configure Failed"
kdialog --title "Baghira Installer 0.1" --textbox "config.log" 300 200
exit 1
fi
dcop $DREF setLabel "<qt><b>Making</b></qt>"
dcop $DREF setProgress 2
if ! make 2>&1 | echo > make.log
then
dcop $DREF close
kdialog --title "Baghira Installer 0.1" --error "Make Failed"
kdialog --title "Baghira Installer 0.1" --textbox "make.log" 300 200
exit 1
fi
dcop $DREF setLabel "<qt><b>Installing</b></qt>"
dcop $DREF setProgress 3
if ! kdesu make install 2>&1 | echo > install.log
then
dcop $DREF close
kdialog --title "Baghira Installer 0.1" --error "Install Failed"
kdialog --title "Baghira Installer 0.1" --textbox "install.log" 300 200
exit 1
fi
dcop $DREF close
kdialog --title "Baghira Installer 0.1" --msgbox "Installation successfull"
exit 0