
#ifndef STARTER_H
#define STARTER_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <kpanelapplet.h>
#include <qstring.h>
#include <qpixmap.h>
#include <qpainter.h>
#include <kconfig.h>

class DCOPClient;
class QLabel;

class starter : public KPanelApplet
{
    Q_OBJECT
    
public:
    starter(const QString& configFile, Type t = Normal, int actions = 0,
        QWidget *parent = 0, const char *name = 0);
    ~starter();

    virtual int widthForHeight(int height) const;
    virtual int heightForWidth(int width) const;
    virtual void preferences();

private:
    enum State {Default, Hover, Down};
    State state;
    bool eventFilter( QObject *o, QEvent *e );
    bool blocked;
    QLabel *mainView;
    QPainter m_painter;
    DCOPClient *client;
    QPixmap pixmap;
    QPixmap hoverPixmap;
    QPixmap downPixmap;
};

#endif
